<div class="modal">
  <ng-container [ngSwitch]="type">
    
    <ng-container *ngSwitchCase="typeModal.Summary">
      <div class="modal-box modal-box__summary">
        <div class="modal-box__close modal-box__close--summary">
          <app-button (onClickEvent)="closeModal()" [style]="'close'">
            <img
              src="../../../../assets/icons/cross.svg"
              alt="close"
              class="icon"
            />
          </app-button>
        </div>
        <div class="modal-box__message modal-box__message--summary">
          <h2 class="h2">Transaction details</h2>
          <div class="modal-box__info">
            <h5 class="h5_bold">To:</h5>
            <h3 class="h3">{{ details.name }}</h3>
          </div>
          <div class="modal-box__info">
            <h5 class="h5_bold">Amount:</h5>
            <h3 class="h3">{{ details.amount | currency }}</h3>
          </div>
        </div>
        <div class="modal-box__button modal-box__button--summary">
          <app-button
            (onClickEvent)="closeModal()"
            [style]="'cancel'"
            class="btn-1"
          >
            Cancel
          </app-button>
          <app-button
            [style]="'accept'"
            class="btn-2"
            (onClickEvent)="onContinue()"
          >
            Confirm
          </app-button>
        </div>
      </div>
    </ng-container>

    <ng-container *ngSwitchCase="typeModal.Confirmation">
      <div class="modal-box modal-box__default">
        <div class="modal-box__close modal-box__close--default">
          <app-button (onClickEvent)="closeModal()" [style]="'close'">
            <img
              src="../../../../assets/icons/cross.svg"
              alt="close"
              class="icon"
            />
          </app-button>
        </div>
        <div class="modal-box__message modal-box__message--default">
          <h2 class="h2">Successful transaction</h2>
        </div>
        <div class="modal-box__button modal-box__button--default">
          <app-button (onClickEvent)="closeModal()" [style]="'accept'">
            Accept
          </app-button>
        </div>
      </div>
    </ng-container>

    <ng-container *ngSwitchCase="typeModal.Error">
      <div class="modal-box modal-box__default">
        <div class="modal-box__close modal-box__close--default">
          <app-button (onClickEvent)="closeModal()" [style]="'close'">
            <img
              src="../../../../assets/icons/cross.svg"
              alt="close"
              class="icon"
            />
          </app-button>
        </div>
        <div class="modal-box__message modal-box__message--default">
          <h2 class="h2">Error</h2>
          <h3 class="h3">Credit was exceeded</h3>
        </div>
        <div class="modal-box__button modal-box__button--default">
          <app-button (onClickEvent)="closeModal()" [style]="'accept'">
            Accept
          </app-button>
        </div>
      </div>
    </ng-container>

  </ng-container>
</div>
